convert <- function(cdf,cel,chip.names=1:length(cel)){
    ## I build x from y
  nchips <- length(cel)
  info <- cdf ##to make it like ReadFile
  nrow <- dim(info$name)[1]
  ncol <- dim(info$name)[2]
  
  ##get the pm and mm information
  pm.or.mm <- as.vector(pmormm(info))
  
  pmindex <- which(pm.or.mm)
  mmindex <- which(!pm.or.mm)
  
  nprob <- length(pmindex)
  
  if(any((pmindex+ncol)-mmindex))
    warning("MMs are not underneath PMs\n")
  
  ##create the pm and mm matricex
  pm <- matrix(0,nprob,nchips)
  mm <- matrix(0,nprob,nchips)
  
  for(i in 1:nchips){
    aux <- cel[[i]]$intensity
    if(nrow*ncol!=length(aux)) stop("CEL doesn't match with CDF\n")
    pm[,i] <- aux[pmindex]
    mm[,i] <- aux[mmindex]
  }
  
  
  probe.ids <- as.vector(info$name)[pmindex]
  probe.numbers <- as.vector(info$atom)[pmindex]
  
  dimnames(pm) <- list(probe.ids,chip.names)
  dimnames(mm) <- list(probe.ids,chip.names)
  
  ##this will be used to get the coordinates
  xs <- rep(1:nrow,ncol)
  ys <- rep(1:ncol,rep(nrow,ncol))
  
  ret <- list(pm=pm,mm=mm,id=probe.ids,
              numbers=probe.numbers,names=info$name.level,
              n=length(info$name.level),
              x=xs[pmindex],y=ys[pmindex],ncol=ncol,nrow=nrow,
              nchips=nchips,nprob=nprob,chip.names=chip.names)
  
  class(ret) <- "plob"
  return(ret)
}

     



