get.pps <- function(name,cdf,cel) {
  
  if (! (is.cdf(cdf) &
         is.cel(cel) )) {
    stop("Arguments must be: a name, a cdf, a cel")
  }
  
  loc.pm <- cel$intensity[locate.name(name, cdf, type="pm")]
  loc.mm <- cel$intensity[locate.name(name, cdf, type="mm")]
  
  if (length(loc.pm) != length(loc.mm)) {
    warning("Length mismatch between perfect matches and mismatches !")
  }
  
  m <- data.frame(pm=loc.pm,mm=loc.mm)
                  ##dimnames=list(seq(along=loc.pm),c("pm","mm")))
  
  if (is.numeric(name)) {
    name <- cdf$name.levels[name]
  }
  
  attr(m,"name") <- name 
  class(m) <- c("pps","data.frame")
  return(m)
}

