image.cel <- function(cel,
                          col=NULL,
                          transfo=NULL,
                          what="intensity",
                          mask=NULL,
                          transp=F,
                          ...) {

  if (! is.cel(cel)) {
    stop("The argument 'cel' must be of class cel")
  }
  
  iwhat <- match(what,names(cel))

  m <- cel[[iwhat]]
  
  if (!is.null(mask)) {
    m[mask] <- NA
  }
  
  if (is.null(col)) {
    col <- gray(c(0:64)/64)
  }
  if (is.function(transfo)) {
    if (transp) {
      ##image(t(transfo(cel[[iwhat]])),col=col,...)
      cat("transp=T is deprecated.\n")
    }
    ##else {
    image(transfo(cel[[iwhat]]),col=col,...)
    ##}
  }
  else {
    if (transp) {
      cat("transp=T is deprecated.\n")
      ##image(t(cel[[iwhat]]),col=col,...)
    }
    ##else {
    image(cel[[iwhat]],col=col,...)
      ##image(cel$intensity,col=col)
    ##}    
  }
  title(attr(cel,"name"))
}



