read.affy <- function(file,chip,chip.names=NULL){
  Names <- scan(file,nlines=1,what="c")
  nchips <- length(Names) - 5 ##first five are info not intensities
  if(is.null(chip.names)) chip.names <- Names[-c(1:5)]
  else{
    if(length(chip.names)!=nchips){
      warning("Not the same number of chips than chip names. Assigning names from file.\n") 
      chip.names <- Names[-c(1:5)]
    }
  }
  Data <- matrix(scan(file,skip=1),ncol=length(Names),byrow=T)
  ncol <- max(Data[,4])+1
  nrow <- max(Data[,5])+1
  n <- dim(Data)[1]
  pmindex <- (1:n)[Data[,3] == 1]
  mmindex <- (1:n)[Data[,3] == 0]
  if(any((pmindex+ncol)-mmindex))
    warning("MMs are not underneath PMs\n")
  pm <-matrix(as.matrix(Data[pmindex,-c(1:5)]),ncol=nchips)##contains all pms
  mm <-matrix(as.matrix(Data[mmindex,-c(1:5)]),ncol=nchips)##contains all mms
  dimnames(pm)<- list(NULL,chip.names)
  dimnames(mm)<- list(NULL,chip.names)
  probe.names <- Data[pmindex,1]
  x <- Data[pmindex,4]
  y <- Data[pmindex,5]
  probe.numbers <- Data[pmindex,2]
  if(any(pm<=0)){
    warning("Non positive pms found. Substituting with minimum.\n")
     pm[pm<=0] <- min(pm[pm>0])
   }
  if(any(mm<=0)){
    warning("Non positive mms found. Substituting with minimum.\n")
    mm[mm<=0] <- min(mm[mm>0])
  }
  probe.names <- scan(chip,what="c")
  return(list(pm=pm,mm=mm,id=Data[pmindex,1],
              numbers=probe.numbers,names=probe.names,n=length(probe.names),
              x=x,y=y,ncol=ncol,nrow=nrow,nchips=nchips,
              nprob=length(pmindex),chip.names=chip.names))
}
