\name{CDF}
\alias{CDF}
\title{CDF object}
\description{
  Object containing information in a CDF file.
}
\value{
  \code{CDF} objects are lists with the following entries
  \item{name}{matrix of 'factors' for the gene names corresponding to the probes.}
  \item{name.levels}{the levels corresponding to the \code{name}.}
  \item{pbase}{matrix of 'factors' of pbases.}
  \item{pbase.levels}{the levels.}
  \item{tbase}{matrix of 'factors' of tbases.}
  \item{tbase.levels}{the levels.}
  \item{atom}{matrix of atom numbers.}
}
\details{
 The necessity for \code{level} vectors associated with most of the
 matrices arose from the following considerations. The name associated
 to each probe is not unique, it corresponds to the gene name. It is
 very common to have a name repeated 40 times (20 perfect matches and 20
 mismatches). Using \code{factor} objects allows to save (hopefully)
 memory, but we also want to conserve the matrix structure. This was
 done by using of the actual implementation of
 \code{factor} objects: each level is encoded with an integer.
 
 Probes can be grouped by pairs: a perfect match (PM) probe has its mismatch (MM) counterpart.
 The two probes in a pair differ by one base (usually located in the middle of the sequence).
 The informations relative to this particular base are stored in \code{pbase} and \code{tbase}.
 At a given position (x,y), having pbase[x,y] == tbase[x,y] means having a MM while having
 pbase[x,y] != tbase[x,y] means having a perfect mismatch if and only if one of the bases is
 A while the other is T, or one is G and the other is C. The function
 \code{\link{pmormm}} returns \code{TRUE} for PMs and \code{FALSE} for
 MMs.
}
\author{
  L. Gautier <laurent@cbs.dtu.dk>
}
\seealso{
  \code{\link{pmormm}}
}
%\examples{
%  
%}
\keyword{classes}
