\name{convert}
\alias{convert}

\title{Convert CDF/CEL objects}
\description{Converts \code{\link{CDF}} and \code{\link{CEL}} objects into a \code{\link{probe.level.object}}. 
}
\usage{
convert(cdf, cel, chip.names=1:length(cel))
}
\arguments{
  \item{cdf}{A \code{\link{CDF}} object.}
  \item{cel}{A \code{\link{CEL}} object or list of \code{\link{CDF}} objects.}
  \item{chip.names}{names for the arrays/chips.}
}

\value{
  a \code{\link{probe.level.object}} }
\references{ Affymetrix (1999) Gene Chip Analysis Suite User Guide
  (Affymetrix, Santa Clara)}
\author{Rafael A. Irizarry}
\example{
  data(CDF.example)
  data(listcel)
  ##this will give a warning because the example CDF is a not a "real" CDF
  ##plob.example <- convert(CDF.example,listcel)
}
\seealso{\code{\link{read.cdffile}}, \code{\link{read.celfile}}, \code{\link{probe.level.object}}}
\keyword{file}




