\name{pmormm}
\alias{pmormm}
\title{PM or MM}
\description{
  Determing  if intensities on an array from the cdffile are PM, MM, or neither.
}
\usage{
  pmormm(cdf)
}
\arguments{
  \item{cdf}{A \code{\link{CDF}} object}
}
\details{
  The intensities on a chip fall in three categories: perfect match
  (PM), mismatch (MM) or unknown (No information about them is contained
  in the CDF file, yet they were found informative (details to come)).
  PM are coded as TRUE, MM as FALSE and unknown as NA.
}
\value{
  A matrix.
}
\author{
  L. Gautier <laurent@cbs.dtu.dk>
}
\examples{
  data(CDF.example)
  ## or if you want to use your own CDF file
  ## CDF.example <- read.cdffile("filename.CDF")

  pm.or.mm <- pmormm(CDF.example)
    
}
\keyword{manip}
