\name{probe.level.object}
\alias{probe.level.object}

\title{Probe Level Information Object}
\description{Object containing all pertinent information about probe
  pairs.}
\details{\code{probe.level.object}s are created by \code{\link{convert}}
  and \code{\link{ReadAffy}}. They are expected as arguments by many of
  the functions in this package.

Each probe set has a name and an id. The \code{names} component of probe
level objects contain the names obtained for each probe set from the
Affymetrix CDF files. You can use the \code{id} component to put
together each probe values and the probe names.
}
\value{
  \code{probe.level.object}s are lists with the following components
  \item{nchips}{number of chips.}
  \item{nprob}{number of probe pairs.}
  \item{id}{a numerical vector of length \code{nprob} containing the
    probe set identification number of each probe pair.}
  \item{names}{a character vector of the probe names.}
  \item{PM}{a \code{nprob} by \code{nchips} matrix with the PM intensities.}
  \item{MM}{a \code{nprob} by \code{nchips} matrix with the MM intensities.}
  \item{chip.names}{a character vector of length nchips with the names
    of each chip.}
  \item{numbers}{the probe number for each probe.} 
  \item{x}{a vector containing the row number of the PM, for each
    probe pair, on the chips.}
  \item{y}{a vector containing the column number of the PM, for each
    probe pair, on the chips.}
  \item{ncol}{the number of rows on the chips.}
  \item{nrow}{the number of columns on the chips.}
}
\references{ Affymetrix (1999) Gene Chip Analysis Suite User Guide
  (Affymetrix, Santa Clara)}
\author{Rafael A. Irizarry}
\seealso{\code{\link{convert}},\code{\link{ReadAffy}}}
\keyword{list}






